import scala.collection.mutable.ListBuffer

object MainSkeleton extends App{

  class Library() {
    var library: ListBuffer[Medium] = new ListBuffer[Medium]

    def store(medium: Medium): Unit = {
      var n: Int = exists(medium.title)
      if (n == -1) {
        library.append(medium)
        println(medium.title + " successfully added !")
      } else {
        println("Something went wrong with " + medium.title)
      }
    }

    def remove(name: String): Boolean = {
      var n: Int = exists(name)
      if (n != -1) {
        library.remove(n)
        println(name + " successfully removed !")
        return true
      }
      println("Something went wrong with " + name)
      return false
    }

    def exists(name: String): Int = {
      for (i <- 0 to library.length-1) {
        if (library(i).title == name) {
          return i
        }
      }
      return -1
    }

    override def toString(): String = {
      var string: String = new String()
      string = " -- LIBRARY --\n" + "--------------------------------------------------------\n"
      for (i <- 0 to library.length-1) {
        string += library(i).toString + "\n"
      }
      string += "--------------------------------------------------------\n"
      return string
    }
  }

  class Medium(_title: String, _category: String, _rating: Int) {
    var title = _title
    var category = _category
    var rating = _rating

    override def toString(): String = {
      get_info()
    }

    def rate(_rating: Int) {
      rating = _rating
    }

    def get_info(): String = {

      return "Title: " + title + ", Category: " + category + " , Rating: " + rating
    }

  }




var library: Library = new Library
var B1 = new Book("Python for dummies", "Mr. Robot", "Software development", 2)
var B2 = new Book("How to become a billionaire ?",Scrooge McDuck", "Economy", 4)
var B3 = new Book("What does bastard mean ?",Jon Snow", "English", 5)

var N1 = new Newspaper("Test",test", "test", 4)

library.store(B1)
library.store(B2)
library.store(B3)

print(library.toString)

library.remove("How to become a billionaire ?")

print(library.toString)
}
